import { Component } from '@angular/core';
import { NavController,NavParams,AlertController } from 'ionic-angular';
import {MainMenuPage } from "../main-menu/main-menu";

/*
  Generated class for the ItemCard page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-item-card',
  templateUrl: 'item-card.html'
})
export class ItemCardPage {
  public line:any;
  public order:any;
  public Titulo:string;
  constructor(public navCtrl: NavController,
     public params:NavParams,
        public alertCtrl:AlertController) {
            this.line=this.params.get("line");
            if (this.line.IMPORTE_IVA === undefined)
            {
              this.Titulo = "Ficha de producto"
            }
            else
            {
              this.Titulo = "Línea pedido "+this.line.CODIGO.toString();
            }
     }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
  ionViewDidLoad() {
    console.log('Hello ItemCardPage Page');

  }
  
}
